diff --git a/src/responder/pac/pacsrv_utils.c b/src/responder/pac/pacsrv_utils.c
index 05b53ed..befb9a1 100644
--- a/src/responder/pac/pacsrv_utils.c
+++ b/src/responder/pac/pacsrv_utils.c
@@ -86,7 +86,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     char *primary_group_sid_str = NULL;
 
     if (pac_ctx == NULL || logon_info == NULL || _sid_table == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing parameter.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing parameter.\n");
         return EINVAL;
     }
 
@@ -96,7 +96,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
                           info3->sidcount + info3->base.groups.count + 2,
                           &sid_table);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_hash_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_hash_create failed.\n");
         goto done;
     }
 
@@ -106,7 +106,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     err = sss_idmap_smb_sid_to_sid(pac_ctx->idmap_ctx, info3->base.domain_sid,
                                    &user_dom_sid_str);
     if (err != IDMAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_idmap_smb_sid_to_sid failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_idmap_smb_sid_to_sid failed.\n");
         ret = EFAULT;
         goto done;
     }
@@ -114,7 +114,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     ret = responder_get_domain_by_id(pac_ctx->rctx, user_dom_sid_str,
                                      &user_dom);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("responder_get_domain_by_id failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "responder_get_domain_by_id failed.\n");
         ret = EINVAL;
         goto done;
     }
@@ -122,7 +122,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     user_dom_sid_str_len = strlen(user_dom_sid_str);
     sid_str = talloc_zero_size(mem_ctx, user_dom_sid_str_len + 12);
     if (sid_str == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero_size failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero_size failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -134,14 +134,14 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     ret = snprintf(rid_start, 12, "-%lu",
                                   (unsigned long) info3->base.rid);
     if (ret < 0 || ret > 12) {
-        DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "snprintf failed.\n");
         ret = EIO;
         goto done;
     }
 
     user_sid_str = talloc_strdup(mem_ctx, sid_str);
     if (user_sid_str == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -158,8 +158,8 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
 
     ret = hash_enter(sid_table, &key, &value);
     if (ret != HASH_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed [%d][%s].\n",
-                                  ret, hash_error_string(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed [%d][%s].\n",
+                                  ret, hash_error_string(ret));
         ret = EIO;
         goto done;
     }
@@ -169,14 +169,14 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
     ret = snprintf(rid_start, 12, "-%lu",
                                   (unsigned long) info3->base.primary_gid);
     if (ret < 0 || ret > 12) {
-        DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "snprintf failed.\n");
         ret = EIO;
         goto done;
     }
 
     primary_group_sid_str = talloc_strdup(mem_ctx, sid_str);
     if (primary_group_sid_str == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -193,8 +193,8 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
 
     ret = hash_enter(sid_table, &key, &value);
     if (ret != HASH_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed [%d][%s].\n",
-                                  ret, hash_error_string(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed [%d][%s].\n",
+                                  ret, hash_error_string(ret));
         ret = EIO;
         goto done;
     }
@@ -205,7 +205,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
         ret = snprintf(rid_start, 12, "-%lu",
                                 (unsigned long) info3->base.groups.rids[s].rid);
         if (ret < 0 || ret > 12) {
-            DEBUG(SSSDBG_OP_FAILURE, ("snprintf failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "snprintf failed.\n");
             ret = EIO;
             goto done;
         }
@@ -223,8 +223,8 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
 
         ret = hash_enter(sid_table, &key, &value);
         if (ret != HASH_SUCCESS) {
-            DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed [%d][%s].\n",
-                                      ret, hash_error_string(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed [%d][%s].\n",
+                                      ret, hash_error_string(ret));
             ret = EIO;
             goto done;
         }
@@ -237,7 +237,7 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
         err = sss_idmap_smb_sid_to_sid(pac_ctx->idmap_ctx, info3->sids[s].sid,
                                        &sid_str);
         if (err != IDMAP_SUCCESS) {
-            DEBUG(SSSDBG_OP_FAILURE, ("sss_idmap_smb_sid_to_sid failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "sss_idmap_smb_sid_to_sid failed.\n");
             ret = EFAULT;
             goto done;
         }
@@ -258,8 +258,8 @@ errno_t get_sids_from_pac(TALLOC_CTX *mem_ctx,
 
         ret = hash_enter(sid_table, &key, &value);
         if (ret != HASH_SUCCESS) {
-            DEBUG(SSSDBG_OP_FAILURE, ("hash_enter failed [%d][%s].\n",
-                                      ret, hash_error_string(ret)));
+            DEBUG(SSSDBG_OP_FAILURE, "hash_enter failed [%d][%s].\n",
+                                      ret, hash_error_string(ret));
             ret = EIO;
             goto done;
         }
@@ -305,20 +305,20 @@ errno_t get_data_from_pac(TALLOC_CTX *mem_ctx,
 
     ndr_pull = ndr_pull_init_blob(&blob, mem_ctx);
     if (ndr_pull == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_init_blob failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_init_blob failed.\n");
         return ENOMEM;
     }
     ndr_pull->flags |= LIBNDR_FLAG_REF_ALLOC; /* FIXME: is this really needed ? */
 
     pac_data = talloc_zero(mem_ctx, struct PAC_DATA);
     if (pac_data == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
     ndr_err = ndr_pull_PAC_DATA(ndr_pull, NDR_SCALARS|NDR_BUFFERS, pac_data);
     if (!NDR_ERR_CODE_IS_SUCCESS(ndr_err)) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_PAC_DATA failed [%d]\n", ndr_err));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_PAC_DATA failed [%d]\n", ndr_err);
         return EBADMSG;
     }
 
@@ -360,19 +360,19 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
 
     pwd = talloc_zero(mem_ctx, struct passwd);
     if (pwd == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
         return ENOMEM;
     }
 
     base_info = &logon_info->info3.base;
 
     if (base_info->account_name.size == 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing account name in PAC.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing account name in PAC.\n");
         ret = EINVAL;
         goto done;
     }
     if (base_info->rid == 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing user RID in PAC.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing user RID in PAC.\n");
         ret = EINVAL;
         goto done;
     }
@@ -381,7 +381,7 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
      * case names only, effectively making the domain case-insenvitive. */
     lname = sss_tc_utf8_str_tolower(pwd, base_info->account_name.string);
     if (lname == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_tc_utf8_str_tolower failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_tc_utf8_str_tolower failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -389,7 +389,7 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
     /* Subdomain use fully qualified names */
     pwd->pw_name = sss_get_domain_name(pwd, lname, dom);
     if (!pwd->pw_name) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_sprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_sprintf failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -398,12 +398,12 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
     key.str = user_sid_str;
     ret = hash_lookup(sid_table, &key, &value);
     if (ret != HASH_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("hash_lookup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "hash_lookup failed.\n");
         ret = EIO;
         goto done;
     }
     if (value.type != HASH_VALUE_ULONG) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Wrong value type.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Wrong value type.\n");
         ret = EIO;
         goto done;
     }
@@ -416,12 +416,12 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
         key.str = primary_group_sid_str;
         ret = hash_lookup(sid_table, &key, &value);
         if (ret != HASH_SUCCESS) {
-            DEBUG(SSSDBG_OP_FAILURE, ("hash_lookup failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "hash_lookup failed.\n");
             ret = EIO;
             goto done;
         }
         if (value.type != HASH_VALUE_ULONG) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Wrong value type.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Wrong value type.\n");
             ret = EIO;
             goto done;
         }
@@ -431,13 +431,13 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
     if (base_info->full_name.size != 0) {
         pwd->pw_gecos = talloc_strdup(pwd, base_info->full_name.string);
         if (pwd->pw_gecos == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
             ret = ENOMEM;
             goto done;
         }
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing full name in PAC, "
-                                  "gecos field will by empty.\n "));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing full name in PAC, "
+                                  "gecos field will by empty.\n ");
     }
 
     /* Check if there is a special homedir template for sub-domains. If not a
@@ -456,14 +456,14 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
 
     attrs = sysdb_new_attrs(mem_ctx);
     if (attrs == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_new_attrs failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_new_attrs failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     uc_realm = get_uppercase_realm(mem_ctx, dom->name);
     if (uc_realm == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("get_uppercase_realm failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "get_uppercase_realm failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -471,7 +471,7 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
     upn = talloc_asprintf(mem_ctx, "%s@%s", lname, uc_realm);
     talloc_free(uc_realm);
     if (upn == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -479,19 +479,19 @@ errno_t get_pwd_from_pac(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_add_string(attrs, SYSDB_UPN, upn);
     talloc_free(upn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME_ALIAS, pwd->pw_name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_SID_STR, user_sid_str);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
         goto done;
     }
 
diff --git a/src/responder/pam/pam_LOCAL_domain.c b/src/responder/pam/pam_LOCAL_domain.c
index e7776cb..ede668b 100644
--- a/src/responder/pam/pam_LOCAL_domain.c
+++ b/src/responder/pam/pam_LOCAL_domain.c
@@ -31,7 +31,7 @@
 
 #define NULL_CHECK_OR_JUMP(var, msg, ret, err, label) do { \
     if (var == NULL) { \
-        DEBUG(1, (msg)); \
+        DEBUG(1, msg); \
         ret = (err); \
         goto label; \
     } \
@@ -39,7 +39,7 @@
 
 #define NEQ_CHECK_OR_JUMP(var, val, msg, ret, err, label) do { \
     if (var != (val)) { \
-        DEBUG(1, (msg)); \
+        DEBUG(1, msg); \
         ret = (err); \
         goto label; \
     } \
@@ -168,7 +168,7 @@ static void do_pam_chauthtok(struct LOCAL_request *lreq)
     if (ret) {
         /* TODO: should we allow null passwords via a config option ? */
         if (ret == ENOENT) {
-            DEBUG(1, ("Empty passwords are not allowed!\n"));
+            DEBUG(1, "Empty passwords are not allowed!\n");
         }
         lreq->error = EINVAL;
         goto done;
@@ -177,12 +177,12 @@ static void do_pam_chauthtok(struct LOCAL_request *lreq)
     ret = s3crypt_gen_salt(lreq, &salt);
     NEQ_CHECK_OR_JUMP(ret, EOK, ("Salt generation failed.\n"),
                       lreq->error, ret, done);
-    DEBUG(4, ("Using salt [%s]\n", salt));
+    DEBUG(4, "Using salt [%s]\n", salt);
 
     ret = s3crypt_sha512(lreq, password, salt, &new_hash);
     NEQ_CHECK_OR_JUMP(ret, EOK, ("Hash generation failed.\n"),
                       lreq->error, ret, done);
-    DEBUG(4, ("New hash [%s]\n", new_hash));
+    DEBUG(4, "New hash [%s]\n", new_hash);
 
     lreq->mod_attrs = sysdb_new_attrs(lreq);
     NULL_CHECK_OR_JUMP(lreq->mod_attrs, ("sysdb_new_attrs failed.\n"),
@@ -229,7 +229,7 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
     struct pam_data *pd = preq->pd;
     int ret;
 
-    DEBUG(4, ("LOCAL pam handler.\n"));
+    DEBUG(4, "LOCAL pam handler.\n");
 
     lreq = talloc_zero(preq, struct LOCAL_request);
     if (!lreq) {
@@ -238,7 +238,7 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
 
     lreq->dbctx = preq->domain->sysdb;
     if (lreq->dbctx == NULL) {
-        DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+        DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
         talloc_free(lreq);
         return ENOENT;
     }
@@ -251,26 +251,26 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
     ret = sysdb_get_user_attr(lreq, lreq->dbctx, preq->domain,
                               preq->pd->user, attrs, &res);
     if (ret != EOK) {
-        DEBUG(1, ("sysdb_get_user_attr failed.\n"));
+        DEBUG(1, "sysdb_get_user_attr failed.\n");
         talloc_free(lreq);
         return ret;
     }
 
     if (res->count < 1) {
-        DEBUG(4, ("No user found with filter ["SYSDB_PWNAM_FILTER"]\n",
-                  pd->user, pd->user));
+        DEBUG(4, "No user found with filter ["SYSDB_PWNAM_FILTER"]\n",
+                  pd->user, pd->user);
         pd->pam_status = PAM_USER_UNKNOWN;
         goto done;
     } else if (res->count > 1) {
-        DEBUG(4, ("More than one object found with filter ["SYSDB_PWNAM_FILTER"]\n",
-                  pd->user, pd->user));
+        DEBUG(4, "More than one object found with filter ["SYSDB_PWNAM_FILTER"]\n",
+                  pd->user, pd->user);
         lreq->error = EFAULT;
         goto done;
     }
 
     username = ldb_msg_find_attr_as_string(res->msgs[0], SYSDB_NAME, NULL);
     if (strcmp(username, pd->user) != 0) {
-        DEBUG(1, ("Expected username [%s] get [%s].\n", pd->user, username));
+        DEBUG(1, "Expected username [%s] get [%s].\n", pd->user, username);
         lreq->error = EINVAL;
         goto done;
     }
@@ -285,7 +285,7 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
                  pd->cmd == SSS_PAM_CHAUTHTOK_PRELIM) &&
                 lreq->preq->cctx->priv == 1) {
 /* TODO: maybe this is a candiate for an explicit audit message. */
-                DEBUG(4, ("allowing root to reset a password.\n"));
+                DEBUG(4, "allowing root to reset a password.\n");
                 break;
             }
             ret = sss_authtok_get_password(pd->authtok, &password, NULL);
@@ -295,16 +295,16 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
             pwdhash = ldb_msg_find_attr_as_string(res->msgs[0], SYSDB_PWD, NULL);
             NULL_CHECK_OR_JUMP(pwdhash, ("No password stored.\n"),
                                lreq->error, LDB_ERR_NO_SUCH_ATTRIBUTE, done);
-            DEBUG(4, ("user: [%s], password hash: [%s]\n", username, pwdhash));
+            DEBUG(4, "user: [%s], password hash: [%s]\n", username, pwdhash);
 
             ret = s3crypt_sha512(lreq, password, pwdhash, &new_hash);
             NEQ_CHECK_OR_JUMP(ret, EOK, ("nss_sha512_crypt failed.\n"),
                               lreq->error, ret, done);
 
-            DEBUG(4, ("user: [%s], new hash: [%s]\n", username, new_hash));
+            DEBUG(4, "user: [%s], new hash: [%s]\n", username, new_hash);
 
             if (strcmp(new_hash, pwdhash) != 0) {
-                DEBUG(1, ("Passwords do not match.\n"));
+                DEBUG(1, "Passwords do not match.\n");
                 do_failed_login(lreq);
                 goto done;
             }
@@ -332,7 +332,7 @@ int LOCAL_pam_handler(struct pam_auth_req *preq)
             break;
         default:
             lreq->error = EINVAL;
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unknown PAM task [%d].\n", pd->cmd));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unknown PAM task [%d].\n", pd->cmd);
     }
 
 done:
diff --git a/src/responder/pam/pam_helpers.c b/src/responder/pam/pam_helpers.c
index d2068e5..1b94f7a 100644
--- a/src/responder/pam/pam_helpers.c
+++ b/src/responder/pam/pam_helpers.c
@@ -68,14 +68,14 @@ errno_t pam_initgr_cache_set(struct tevent_context *ev,
     hret = hash_enter(id_table, &key, &val);
     if (hret != HASH_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not update initgr cache for [%s]: [%s]\n",
-               name, hash_error_string(hret)));
+              "Could not update initgr cache for [%s]: [%s]\n",
+               name, hash_error_string(hret));
         ret = EIO;
         goto done;
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("[%s] added to PAM initgroup cache\n",
-               name));
+              "[%s] added to PAM initgroup cache\n",
+               name);
     }
 
     /* Create a timer event to remove the entry from the cache */
@@ -115,13 +115,13 @@ static void pam_initgr_cache_remove(struct tevent_context *ev,
     if (hret != HASH_SUCCESS
             && hret != HASH_ERROR_KEY_NOT_FOUND) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not clear [%s] from initgr cache: [%s]\n",
+              "Could not clear [%s] from initgr cache: [%s]\n",
                table_ctx->name,
-               hash_error_string(hret)));
+               hash_error_string(hret));
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("[%s] removed from PAM initgroup cache\n",
-               table_ctx->name));
+              "[%s] removed from PAM initgroup cache\n",
+               table_ctx->name);
     }
 
     talloc_free(table_ctx);
diff --git a/src/responder/pam/pamsrv.c b/src/responder/pam/pamsrv.c
index fad564a..8473ba5 100644
--- a/src/responder/pam/pamsrv.c
+++ b/src/responder/pam/pamsrv.c
@@ -82,7 +82,7 @@ static void pam_dp_reconnect_init(struct sbus_connection *conn, int status, void
 
     /* Did we reconnect successfully? */
     if (status == SBUS_RECONNECT_SUCCESS) {
-        DEBUG(1, ("Reconnected to the Data Provider.\n"));
+        DEBUG(1, "Reconnected to the Data Provider.\n");
 
         /* Identify ourselves to the data provider */
         ret = dp_common_send_id(be_conn->conn,
@@ -96,8 +96,8 @@ static void pam_dp_reconnect_init(struct sbus_connection *conn, int status, void
     }
 
     /* Handle failure */
-    DEBUG(0, ("Could not reconnect to %s provider.\n",
-              be_conn->domain->name));
+    DEBUG(0, "Could not reconnect to %s provider.\n",
+              be_conn->domain->name);
 
     /* FIXME: kill the frontend and let the monitor restart it ? */
     /* pam_shutdown(rctx); */
@@ -127,7 +127,7 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
                            "PAM", &pam_dp_interface,
                            &rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_process_init() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_process_init() failed\n");
         return ret;
     }
 
@@ -147,7 +147,7 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
     ret = confdb_get_int(pctx->rctx->cdb, CONFDB_PAM_CONF_ENTRY,
                          CONFDB_SERVICE_RECON_RETRIES, 3, &max_retries);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to set up automatic reconnection\n"));
+        DEBUG(0, "Failed to set up automatic reconnection\n");
         goto done;
     }
 
@@ -172,7 +172,7 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
 
     ret = sss_ncache_init(pctx, &pctx->ncache);
     if (ret != EOK) {
-        DEBUG(0, ("fatal error initializing negative cache\n"));
+        DEBUG(0, "fatal error initializing negative cache\n");
         goto done;
     }
 
@@ -185,8 +185,8 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
     ret = sss_hash_create(pctx, 10, &pctx->id_table);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not create initgroups hash table: [%s]",
-               strerror(ret)));
+              "Could not create initgroups hash table: [%s]",
+               strerror(ret));
         goto done;
     }
 
@@ -198,14 +198,14 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
                          &fd_limit);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to set up file descriptor limit\n"));
+              "Failed to set up file descriptor limit\n");
         goto done;
     }
     responder_set_fd_limit(fd_limit);
 
     ret = schedule_get_domains_task(rctx, rctx->ev, rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("schedule_get_domains_tasks failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "schedule_get_domains_tasks failed.\n");
         goto done;
     }
 
@@ -258,7 +258,7 @@ int main(int argc, const char *argv[])
     ret = die_if_parent_died();
     if (ret != EOK) {
         /* This is not fatal, don't return */
-        DEBUG(2, ("Could not set up to exit when parent process does\n"));
+        DEBUG(2, "Could not set up to exit when parent process does\n");
     }
 
     ret = pam_process_init(main_ctx,
